const path = require('path');

module.exports = {
  entry: './src/app.ts',
  mode: "production",
  output: {
    path: path.join(__dirname, '..', 'build'),
    filename: "bundle.js"
  },
  plugins: [
  ],
  resolve: {
    // Add `.ts` and `.tsx` as a resolvable extension.
    extensions: ['.webpack.js', '.web.js', '.ts', '.tsx', '.js']
  },
  module: {
    rules: [
      { test: /\.tsx?$/, use: 'ts-loader' },
      {
        test: /\.css$/i,
        use: ['style-loader', 'css-loader'],
      },
    ]
  }
};
