import {SignPosition} from "../../sign/SignPosition";

export interface ISpotlightOptions {
    allowHiddenFocus?: boolean,
    autoScroll?: boolean,
    centerActorOnFocus?: boolean,
    delay?: number,
    loops?: boolean;
    matchRadius?: boolean;
    onFocus?: Function,
    onFocused?: Function,
    preventContentClicking?: boolean,
    preventFocusSpam?: boolean,
    resetOnLightsOff?: boolean;
    shadowColor?: string;

    showSign?: boolean;
    signHTML?: string;
    signPosition?: SignPosition
    signText?: string;
    signTitle?: string;
}
